org.apache.mina.http

## Enum DecoderState

- java.lang.Object
- - java.lang.Enum<DecoderState>
  - - org.apache.mina.http.DecoderState

- All Implemented Interfaces:
    Serializable, Comparable<DecoderState>

      public enum DecoderState
      extends Enum<DecoderState>

  The various HTTP decoder states.
  Author:
    Apache MINA Project

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BODY`
    `DONE`
    `HEAD`
    `NEW`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DecoderState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DecoderState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEW

          public static final DecoderState NEW

    - #### HEAD

          public static final DecoderState HEAD

    - #### BODY

          public static final DecoderState BODY

    - #### DONE

          public static final DecoderState DONE

  - ### Method Detail

    - #### values

          public static DecoderState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DecoderState c : DecoderState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DecoderState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2009–2013 Apache MINA Project. All rights reserved.